Skip to content
Start here

Delete Token

accounts.tokens.delete(strtoken_id, TokenDeleteParams**kwargs) -> TokenDeleteResponse
DELETE/accounts/{account_id}/tokens/{token_id}

Destroy an Account Owned API token.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Account API Tokens Write
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
minLength32
token_id: str

Token identifier tag.

maxLength32
ReturnsExpand Collapse
class TokenDeleteResponse:
id: str

Identifier

maxLength32
minLength32

Delete Token

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
token = client.accounts.tokens.delete(
    token_id="ed17574386854bf78a67040be0a770b0",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(token.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}